GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
iconv_wrapper Class Reference

## Public Member Functions
| iconv_wrapper (const char *to, const char *from)
| ~iconv_wrapper ()
size_t | convert (ICONV_CONST char **inp, size_t *inleft, char **outp, size_t *outleft)

## Private Attributes
iconv_t | m_desc

## Detailed Description

Definition at line 484 of file charset.c.

## Constructor & Destructor Documentation

## ◆ iconv_wrapper()

iconv_wrapper::iconv_wrapper | ( | const char * | to,
|  | const char * | from
| ) |  |
| inline

Definition at line 488 of file charset.c.

References _, iconv_open, iconv_t, m_desc, and perror_with_name().

## ◆ ~iconv_wrapper()

iconv_wrapper::~iconv_wrapper | ( |  | ) |
| inline

Definition at line 495 of file charset.c.

References iconv_close, and m_desc.

## Member Function Documentation

## ◆ convert()

size_t iconv_wrapper::convert | ( | ICONV_CONST char ** | inp,
|  | size_t * | inleft,
|  | char ** | outp,
|  | size_t * | outleft
| ) |  |
| inline

Definition at line 500 of file charset.c.

References iconv, and m_desc.

Referenced by convert_between_encodings().

## Member Data Documentation

## ◆ m_desc

iconv_t iconv_wrapper::m_desc
| private

Definition at line 508 of file charset.c.

Referenced by convert(), iconv_wrapper(), and ~iconv_wrapper().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/charset.c